OverrunStyle (JavaFX 25)
Description: declaration: module: javafx.controls, package: javafx.scene.control, enum: OverrunStyle

# Enum Class OverrunStyle

java.lang.Object
java.lang.Enum<OverrunStyle>
javafx.scene.control.OverrunStyle

All Implemented Interfaces:
  `Serializable, Comparable<OverrunStyle>, Constable`

public enum OverrunStyle extends Enum<OverrunStyle>
Defines the behavior of a labeled Control when the space for rendering the text is smaller than the space needed to render the entire string.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER_ELLIPSIS`
  Trims out the center of the string being displayed and replaces the middle three characters with "...".
  `CENTER_WORD_ELLIPSIS`
  Same as CENTER_ELLIPSIS but ensures that the "..." occurs between full words.
  `CLIP`
  Any text which exceeds the bounds of the label will be clipped.
  `ELLIPSIS`
  If the text of the label exceeds the bounds of the label, then the last three characters which can be displayed will be "...".
  `LEADING_ELLIPSIS`
  Same as ELLIPSIS but puts the "..." at the beginning of the text instead of at the end
  `LEADING_WORD_ELLIPSIS`
  Same as WORD_ELLIPSIS but puts the "..." at the beginning of the text instead of at the end
  `WORD_ELLIPSIS`
  Same as ELLIPSIS, but first removes any partial words at the label boundary and then applies the ellipsis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OverrunStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OverrunStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIP

    public static final OverrunStyle CLIP
    Any text which exceeds the bounds of the label will be clipped.

  - ### ELLIPSIS

    public static final OverrunStyle ELLIPSIS
    If the text of the label exceeds the bounds of the label, then the last three characters which can be displayed will be "...". If the label is too short to even display that, then only as many "." as possible will be shown.

  - ### WORD_ELLIPSIS

    public static final OverrunStyle WORD_ELLIPSIS
    Same as ELLIPSIS, but first removes any partial words at the label boundary and then applies the ellipsis. This ensures that the last characters displayed prior to the ellipsis are part of a full word. Where a full word cannot be displayed, this acts like ELLIPSIS and displays as many characters as possible.

  - ### CENTER_ELLIPSIS

    public static final OverrunStyle CENTER_ELLIPSIS
    Trims out the center of the string being displayed and replaces the middle three characters with "...". The first and last characters of the string are always displayed in the label, unless the label becomes so short that it cannot display anything other than the ellipsis.

  - ### CENTER_WORD_ELLIPSIS

    public static final OverrunStyle CENTER_WORD_ELLIPSIS
    Same as CENTER_ELLIPSIS but ensures that the "..." occurs between full words. If the label becomes so short that it is not possible to trim any additional words, then partial words are displayed and this behaves the same as CENTER_ELLIPSIS

  - ### LEADING_ELLIPSIS

    public static final OverrunStyle LEADING_ELLIPSIS
    Same as ELLIPSIS but puts the "..." at the beginning of the text instead of at the end

  - ### LEADING_WORD_ELLIPSIS

    public static final OverrunStyle LEADING_WORD_ELLIPSIS
    Same as WORD_ELLIPSIS but puts the "..." at the beginning of the text instead of at the end

- ## Method Details

  - ### values

    public static OverrunStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OverrunStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null